curl --request GET \
--url https://app.eat-now.io/api/partner/v1/reservations \
--header 'Authorization: Bearer <token>'import requests
url = "https://app.eat-now.io/api/partner/v1/reservations"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://app.eat-now.io/api/partner/v1/reservations', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": [
{
"id": "<string>",
"external_id": "<string>",
"status": "PENDING",
"start_at": "2023-11-07T05:31:56Z",
"end_at": "2023-11-07T05:31:56Z",
"duration_minutes": 2,
"party_size": 2,
"source": "WALK_IN",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"customer": {
"id": "<string>",
"name": "<string>",
"email": "jsmith@example.com",
"phone_number": "<string>"
},
"room": {
"id": "<string>",
"name": "<string>"
},
"payment_summary": {
"currency": "MAD",
"total_amount": 123,
"paid_amount": 123,
"authorized_amount": 123,
"pending_amount": 123,
"refunded_amount": 123,
"statuses": [
"FREE"
]
},
"sensitive_data_included": true
}
],
"pagination": {
"page": 2,
"per_page": 50,
"total": 1,
"total_pages": 1
}
}{
"error": {
"code": "AUTHENTICATION_REQUIRED",
"message": "<string>",
"request_id": "<string>",
"details": {}
}
}{
"error": {
"code": "AUTHENTICATION_REQUIRED",
"message": "<string>",
"request_id": "<string>",
"details": {}
}
}{
"error": {
"code": "AUTHENTICATION_REQUIRED",
"message": "<string>",
"request_id": "<string>",
"details": {}
}
}Search reservations
Returns a paginated list of reservation summary rows for the authenticated restaurant. Use this endpoint to filter by date range, customer contact data, status, external reference, or party size. For full reservation details, call GET /reservations/{id}.
Authorizations
Restaurant-scoped partner API token passed as Authorization: Bearer <token>.
Query Parameters
Lower inclusive datetime bound for reservation start time filtering.
Upper inclusive datetime bound for reservation start time filtering.
Filter reservations by the linked customer email address.
Filter reservations by the linked customer phone number.
1Filter reservations by one or more reservation statuses. Repeat the query parameter to pass multiple values.
PENDING, PENDING_PAYMENT, CANCELED_BY_USER, CONFIRMED, CONFIRMED_PENDING_PAYMENT, MANUALLY_CONFIRMED, DOUBLE_CONFIRMED, REJECTED, CANCELED_BY_RESTAURANT, SHOWED_UP, NO_SHOW, SEATED, PARTIALLY_SEATED, DONE, SEATED_FOR_DRINKS Filter reservations by the partner-provided external reference.
1Filter reservations by party size.
x >= 11-based page number for paginated search results.
x >= 1Number of reservations returned per page, from 1 to 100.
1 <= x <= 100